summaryrefslogtreecommitdiffstats
path: root/ci/03-maasdeploy.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/03-maasdeploy.sh')
-rwxr-xr-xci/03-maasdeploy.sh15
1 files changed, 14 insertions, 1 deletions
diff --git a/ci/03-maasdeploy.sh b/ci/03-maasdeploy.sh
index 869d97e4..d10e9a30 100755
--- a/ci/03-maasdeploy.sh
+++ b/ci/03-maasdeploy.sh
@@ -579,7 +579,20 @@ addnodes(){
done
fi
- maas $PROFILE pods create type=virsh power_address="$VIRSHURL" power_user=$USER
+ # Iterate to avoid "Conflict error" issue
+ for ii in 1 2 3 4 5 6 7 8 9 10
+ do
+ echo "Try $ii"
+ maas $PROFILE pods create type=virsh power_address="$VIRSHURL" power_user=$USER > /tmp/deploy.out 2>&1 || true
+ cat /tmp/deploy.out
+ if ! fgrep -q 'Conflict' /tmp/deploy.out
+ then
+ break
+ else
+ continue
+ fi
+ done
+
# Make sure nodes are added into MAAS and none of them is in commissioning state
i=0